Bug 885916 - RFE: Support navigation for docs without multi-page HTML format
RFE: Support navigation for docs without multi-page HTML format
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: 3.2
: ---
Assigned To: Jeff Fearn
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-10 21:04 EST by Ruediger Landmann
Modified: 2013-12-18 21:46 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2012-12-10 21:04:44 EST
Description of problem:

Publican's internal navigation assumes that a multi-page HTML version of a doc will be available. This makes it difficult to incorporate legacy or upstream documentation in a different format (for example, PDF or ODT) into a Publican-generated website if we do not also have a HTML version available.
  
Actual results:

We need either to perform an expensive conversion of the docs to HTML, or to publish the doc in the "files" directory of a Publican document. 


Expected results:

Site navigation links directly to formats other than HTML if that's all that's available.
Comment 1 HSS Product Manager 2013-07-16 01:18:20 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 2 Jeff Fearn 2013-07-16 21:34:26 EDT
This is actually a much bigger change than I initially thought. It required updating WebSite.pm and most of the web site templates. Lots of QE will then be required for web sites.
Comment 3 HSS Product Manager 2013-09-18 01:29:13 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 4 Jeff Fearn 2013-09-19 22:58:24 EDT
Initial code checked in, need to discuss phrasing and layout for marker.
Comment 5 Jeff Fearn 2013-09-19 23:04:14 EDT
Note: this only works for existing supported formats. To support other fomrats you need to open a separate bug.
Comment 6 Ruediger Landmann 2013-09-22 21:59:38 EDT
(In reply to Jeff Fearn from comment #5)
> Note: this only works for existing supported formats. To support other
> fomrats you need to open a separate bug.

WFM; if we have docs in other formats, we should be able to convert at least to PDF.
Comment 8 Ruediger Landmann 2013-10-17 01:42:33 EDT
Verified with publican-3.9.9-0.fc19.t7.noarch

Note You need to log in before you can comment on or make changes to this bug.